#include <pic18.h>
#include <peripheral/i2c.h>

/********************************************************************
*     Function Name:    ReadI2C2                                    *
*     Return Value:     contents of SSP2BUF register                *
*     Parameters:       void                                        *
*     Description:      Read single byte from I2C2 bus.             *
********************************************************************/
#if defined (_I2C_V3) || defined (_I2C_V6)
unsigned char ReadI2C2( void )
{
  RCEN2_x = 1;           // enable master for 1 byte reception
  while ( !BF2_x );      // wait until byte received  
  return ( SSP2BUF );              // return with read byte 
}
#endif
